# ResourceEntities

## Properties

|Name | Type | Description | Notes|
|------------ | ------------- | ------------- | -------------|
|**Groups** | Pointer to [**ResourceGroups**](ResourceGroups.md) |  | [optional] |

## Methods

### NewResourceEntities

`func NewResourceEntities() *ResourceEntities`

NewResourceEntities instantiates a new ResourceEntities object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewResourceEntitiesWithDefaults

`func NewResourceEntitiesWithDefaults() *ResourceEntities`

NewResourceEntitiesWithDefaults instantiates a new ResourceEntities object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetGroups

`func (o *ResourceEntities) GetGroups() ResourceGroups`

GetGroups returns the Groups field if non-nil, zero value otherwise.

### GetGroupsOk

`func (o *ResourceEntities) GetGroupsOk() (*ResourceGroups, bool)`

GetGroupsOk returns a tuple with the Groups field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetGroups

`func (o *ResourceEntities) SetGroups(v ResourceGroups)`

SetGroups sets Groups field to given value.

### HasGroups

`func (o *ResourceEntities) HasGroups() bool`

HasGroups returns a boolean if a field has been set.



